Index: trunk/examples/extended/medical/fanoCavity/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.4 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyKleinNishinaCompton.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/RunAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.3 2007/10/29 12:36:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMax.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/run01.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 1337)
@@ -1,8 +1,13 @@
-# $Id: run01.mac,v 1.7 2009/10/25 19:06:26 maire Exp $
+# $Id: run01.mac,v 1.8 2010/01/19 17:28:20 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
 #
+###/testem/phys/addPhysics  standard_opt0
+###/testem/phys/addPhysics  standard_opt2
 /testem/phys/addPhysics  standard_opt3
+###/testem/phys/addPhysics  standard_GS
+###/testem/phys/addPhysics  standard_WVI
+###/testem/phys/addPhysics  standard_SS
 #
 /run/initialize
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 
 //
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.3 2007/11/05 13:44:18 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/EventAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: EventAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: EventAction.cc,v 1.6 2010/06/07 05:40:46 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -37,7 +37,4 @@
 
 #include "G4Event.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -69,21 +66,6 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-void EventAction::EndOfEventAction(const G4Event* evt)
+void EventAction::EndOfEventAction(const G4Event*)
 {   
-  //trajectories
-  //
-  if (G4VVisManager::GetConcreteInstance())
-  {
-   G4TrajectoryContainer* trajectoryContainer = evt->GetTrajectoryContainer();
-   G4int n_trajectories = 0;
-   if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();  
-   for(G4int i=0; i<n_trajectories; i++) 
-      { G4Trajectory* trj = (G4Trajectory*)
-                                       ((*(evt->GetTrajectoryContainer()))[i]);
-        if (drawFlag == "all") trj->DrawTrajectory(1000);
-        else if ((drawFlag == "charged")&&(trj->GetCharge() != 0.))
-                               trj->DrawTrajectory(); 
-      }
-  }
 }
 
Index: trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.cc,v 1.7 2008/09/28 16:04:01 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyKleinNishinaCompton.cc,v 1.6 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.18 2009/10/29 16:19:59 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.cc,v 1.19 2010/01/19 17:28:20 maire Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,6 +34,8 @@
 
 #include "PhysListEmStandard_option0.hh"
+#include "PhysListEmStandard_option2.hh"
 #include "PhysListEmStandard_option3.hh"
 #include "PhysListEmStandard_GS.hh"
+#include "PhysListEmStandard_WVI.hh"
 #include "PhysListEmStandard_SS.hh"
 
@@ -149,4 +151,10 @@
     emPhysicsList = new PhysListEmStandard_option0(name,detector);
     
+  } else if (name == "standard_opt2") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_option2(name,detector);
+        
   } else if (name == "standard_opt3") {
 
@@ -161,4 +169,10 @@
     emPhysicsList = new PhysListEmStandard_GS(name,detector);    
     
+  } else if (name == "standard_WVI") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_WVI(name,detector);
+           
   } else if (name == "standard_SS") {
 
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.3 2009/10/25 19:06:26 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/RunAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.4 2009/01/22 18:34:06 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.2 2007/03/02 11:08:41 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.cc,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMax.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/vis.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity/vis.mac	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity/vis.mac	(revision 1337)
@@ -10,24 +10,70 @@
 /run/initialize
 #
-# Create empty scene ("world" is default)
-/vis/scene/create
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Create a scene handler for a specific graphics system
-# Edit the next line(s) to choose another graphic system
-#
-/vis/open OGLIX
-#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
 #/vis/open DAWNFILE
 #
-# Draw scene
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# if too many tracks cause core dump => storeTrajectory 0
-/tracking/storeTrajectory 1
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 1
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-/testem/event/drawTracks all
-
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
Index: trunk/examples/extended/medical/fanoCavity2/History
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/History	(revision 1230)
+++ trunk/examples/extended/medical/fanoCavity2/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.4 2007/11/12 18:19:30 maire Exp $
+$Id: History,v 1.18 2010/06/07 05:40:46 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,50 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+06-06-10 J.Perl (fano2-V09-03-03)
+- Remove unused variable in EventAction 
+
+04-06-10 J.Perl (fano2-V09-03-02)
+- Updated vis usage 
+
+20-01-10 mma (fano2-V09-03-00)
+- introduce PhysListEmStandard_option2 : UrbanMscModel93 without options
+            PhysListEmStandard_WVI : WentzelVIModel
+- put in run01.mac all physics lists choice
+	         
+16-11-09 mma (fano2-V09-02-01)
+- PhysListEmStandard_option3 : use UrbanMscModel93
+     
+31-10-09 mma (fano2-V09-02-00)
+- splite PhysicsList in 2, as others TestEm examples.
+- local copy of PhysListEmStandard_option0, PhysListEmStandard_option3,
+  PhysListEmStandard_SS
+- new PhysListEmStandard_GS for GoudsmitSaundersonMsc model  
+- PhysicsList: add cut for proton recoil in case of Single Scattering
+     
+16-11-08 mma (fano2-V09-01-06)
+- Em options: 20bins/decade  LinLossLimit=default=0.01
+     
+01-11-08 mma (fano2-V09-01-05)
+- PhysicsList : add comments for Em options
+     
+26-10-08 mma (fano2-V09-01-04)
+- PhysicsList : modified Em options
+     
+28-09-08 mma (fano2-V09-01-03)
+- HistoManager : root format by default
+
+11-06-08 V.Ivant (fano2-V09-01-02)
+- Remove AIDA from GNUmakefile
+     
+07-05-08 mma (fano2-V09-01-01)
+- README : update Aida informations     
+     
+ 11-04-08 mma
+- HistoManager::Scale() : suppress warning
+    
+04-04-08 mma(fano2-V09-01-00)
+- PhysicsList : replace G4MultipleScattering by new G4eMultipleScattering
+  --> allows to use MscUrbanModel2
      
 12-11-07 mma (fano2-V09-00-01) 
